upgrade datadog python library

RESOLVED FIXED

Status

Socorro
General
RESOLVED FIXED
a year ago
6 months ago

People

(Reporter: willkg, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

We're using dogstatsd-python 0.5.0. This version came out May 19th, 2015.

Antenna uses a more recent version. We should update Socorro to use a more recent version so we can:

1. share code more easily with Antenna, Markus, and Jansky (the new processor)
2. use the timed decorator

This bug covers upgrading.
I don't think this is super urgent. It's possible it's an easy upgrade and just a change to requirements. It would improve the code that I'm landing in bug #1373997.
Bah--wrong bug. This would improve the code I'm landing in https://bugzilla.mozilla.org/show_bug.cgi?id=1372999 .
We're using 0.17.0 now, so this is FIXED.
Status: NEW → RESOLVED
Last Resolved: 6 months ago
Resolution: --- → FIXED
Summary: upgrade dogstatsd-python → upgrade datadog python library
You need to log in before you can comment on or make changes to this bug.